# Uses of Interface
org.springframework.test.web.servlet.ResultHandler

Packages that use ResultHandler
Package
Description
org.springframework.test.web.servlet
Contains server-side support for testing Spring MVC applications.
org.springframework.test.web.servlet.assertj
AssertJ support for MockMvc.
org.springframework.test.web.servlet.result
Contains built-in `ResultMatcher` and `ResultHandler` implementations.
org.springframework.test.web.servlet.setup
Contains built-in `MockMvcBuilder` implementations.

## Uses of ResultHandler in org.springframework.test.web.servlet

Methods in org.springframework.test.web.servlet with parameters of type ResultHandler
Modifier and Type
Method
Description
`ResultActions`
ResultActions.`andDo(ResultHandler handler)`
Perform a general action.

## Uses of ResultHandler in org.springframework.test.web.servlet.assertj

Methods in org.springframework.test.web.servlet.assertj with parameters of type ResultHandler
Modifier and Type
Method
Description
`MvcTestResultAssert`
MvcTestResultAssert.`apply(ResultHandler resultHandler)`
Apply the given `ResultHandler` to the actual MVC result.

## Uses of ResultHandler in org.springframework.test.web.servlet.result

Classes in org.springframework.test.web.servlet.result that implement ResultHandler
Modifier and Type
Class
Description
`class`
`PrintingResultHandler`
Result handler that prints `MvcResult` details to a given output stream — for example: `System.out`, `System.err`, a custom `java.io.PrintWriter`, etc.
Methods in org.springframework.test.web.servlet.result that return ResultHandler
Modifier and Type
Method
Description
`static ResultHandler`
MockMvcResultHandlers.`log()`
Log `MvcResult` details as a `DEBUG` log message via Apache Commons Logging using the log category `org.springframework.test.web.servlet.result`.
`static ResultHandler`
MockMvcResultHandlers.`print()`
Print `MvcResult` details to the "standard" output stream.
`static ResultHandler`
MockMvcResultHandlers.`print(OutputStream stream)`
Print `MvcResult` details to the supplied `OutputStream`.
`static ResultHandler`
MockMvcResultHandlers.`print(Writer writer)`
Print `MvcResult` details to the supplied `Writer`.

## Uses of ResultHandler in org.springframework.test.web.servlet.setup

Methods in org.springframework.test.web.servlet.setup with parameters of type ResultHandler
Modifier and Type
Method
Description
`final <T extends B>
T`
AbstractMockMvcBuilder.`alwaysDo(ResultHandler resultHandler)`
`<T extends B>
T`
ConfigurableMockMvcBuilder.`alwaysDo(ResultHandler resultHandler)`
Define a global action that should always be applied to every response.